﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TX1,TX3 (1 yr) Low DCI VER RS-232 /5502
INSTRUMENT:            Sub Tek TX1,TX3 (1 yr) High DCI VER RS-232 /5502
INSTRUMENT:            Sub Tek TX1,TX3 (1 yr) Low ACI VER RS-232 /5502
INSTRUMENT:            Sub Tek TX1,TX3 (1 yr) High ACI VER RS-232 /5502
DATE:                  2017-03-07 11:03:34
AUTHOR:                Fluke
REVISION:              $Revision: 18544 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       27
NUMBER OF LINES:       357
CONFIGURATION:         Fluke 5502E
=============================================================================
#
#  Procedure Author:
#        GMO, DFM, DAC
#
#  This procedure contains tests whose Test Uncertainty Ratios are less
#  than 4:1, based on 5502E (1 year) specifications.
#
#        AC CURRENT
#               - 460 mA, 3 kHz; TUR 1.2766
#               - 460 mA, 5 kHz; TUR 2.5000
#               - 4.6 A tested at 1 kHz in lieu of 5 kHz due to TUR < 1
#               -  10 A tested at 1 kHz in lieu of 5 kHz due to TUR < 1
#
#  Source:
#        Tektronix TX1/TX3 Service Manual, Part No. 070-9893-01 (No date or
#        revision stated)
#
#  Additional Equipment Required:
#        DB9 IR Cable Kit, Fluke Part No. 1590638
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         LOW_DC_CURRENT               PSUBI("Low DCI")
  1.002  JMPL         HIGH_DC_CURRENT              PSUBI("High DCI")
  1.003  JMPL         LOW_AC_CURRENT               PSUBI("Low ACI")
  1.004  JMPL         HIGH_AC_CURRENT              PSUBI("High ACI")
  1.005  DISP         Subprocedure not found!
  1.006  END

  1.007  EVAL   Increment test number

# =====  Sub Tek TX1,TX3 (1 yr) Low DCI VER RS-232 /5502  ===================

  2.001  LABEL        LOW_DC_CURRENT
  2.002  RSLT         =
  2.003  HEAD         {DC CURRENT}
  2.004  DISP         Connect the 5520A to the UUT as follows:
  2.004  DISP
  2.004  DISP         [32] 5520A    to    UUT
  2.004  DISP         [32] AUX HI ------> A
  2.004  DISP         [32] AUX LO ------> COM

  2.005  RSLT         =
  2.006  HEAD         -2{500 µA Range}
  2.007  TARGET       -p
# Set UUT to A DC, 500 µA Range.
  2.008  MATH         @Cmd = "!T12,0"
  2.009  CALL         Sub Fluke 183,185 Send Command RS-232
  2.010  5502E        CurrentTerminal = Aux
  2.010  5502E        +Current = 0.0 uA
  2.011  MATH         @Cmd = "!M?"
  2.012  TARGET       -m
  2.013  CALL         Sub Fluke 183,185 Query Measurement RS-232
  2.014  MATH         MEM = MEM / 1E-6
  2.015  MEMCX  500   0.0uA          0.2% 0.4U

  3.001  5502E        CurrentTerminal = Aux
  3.001  5502E        +Current = 460.0 uA
# Resend A DC, 500 µA function/range command.
  3.002  MATH         @Cmd = "!T12,0"
  3.003  CALL         Sub Fluke 183,185 Send Command RS-232
  3.004  MATH         @Cmd = "!M?"
  3.005  TARGET       -m
  3.006  CALL         Sub Fluke 183,185 Query Measurement RS-232
  3.007  MATH         MEM = MEM / 1E-6
  3.008  MEMCX  500   460.0uA        0.2% 0.4U

  4.001  5502E        CurrentTerminal = Aux
  4.001  5502E        +Current = -460.0 uA
  4.002  TARGET       -m
  4.003  CALL         Sub Fluke 183,185 Query Measurement RS-232
  4.004  MATH         MEM = MEM / 1E-6
  4.005  MEMCX  500   -460.0uA       0.2% 0.4U

  5.001  RSLT         =
  5.002  HEAD         -2{5 mA Range}
  5.003  TARGET       -p
# Set UUT to A DC, 5 mA Range.
  5.004  MATH         @Cmd = "!T12,1"
  5.005  CALL         Sub Fluke 183,185 Send Command RS-232
  5.006  5502E        CurrentTerminal = Aux
  5.006  5502E        +Current = 4.600 mA
  5.007  MATH         @Cmd = "!M?"
  5.008  TARGET       -m
  5.009  CALL         Sub Fluke 183,185 Query Measurement RS-232
  5.010  MATH         MEM = MEM / 1E-3
  5.011  MEMCX  5     4.600mA        0.2% 0.002U

  6.001  RSLT         =
  6.002  HEAD         -2{50 mA Range}
  6.003  TARGET       -p
# Set UUT to A DC, 50 mA Range.
  6.004  MATH         @Cmd = "!T12,2"
  6.005  CALL         Sub Fluke 183,185 Send Command RS-232
  6.006  5502E        CurrentTerminal = Aux
  6.006  5502E        +Current = 46.00 mA
  6.007  MATH         @Cmd = "!M?"
  6.008  TARGET       -m
  6.009  CALL         Sub Fluke 183,185 Query Measurement RS-232
  6.010  MATH         MEM = MEM / 1E-3
  6.011  MEMCX  50    46.00mA        0.2% 0.02U

  7.001  RSLT         =
  7.002  HEAD         -2{500 mA Range}
  7.003  MATH         @SettlingSec = 3
  7.004  TARGET       -p
# Set UUT to A DC, 500 mA Range.
  7.005  MATH         @Cmd = "!T12,3"
  7.006  CALL         Sub Fluke 183,185 Send Command RS-232
  7.007  5502E        CurrentTerminal = Aux
  7.007  5502E        +Current = 460.0 mA
  7.008  MATH         @Cmd = "!M?"
  7.009  TARGET       -m
  7.010  CALL         Sub Fluke 183,185 Query Measurement RS-232
  7.011  MATH         MEM = MEM / 1E-3
  7.012  MEMCX  500   460.0mA        0.2% 0.2U

  8.001  HEAD         -2
  8.002  HEAD
  8.003  5502E        Reset
  8.004  END

  8.005  EVAL   Increment test number

# =====  Sub Tek TX1,TX3 (1 yr) High DCI VER RS-232 /5502  ==================

  9.001  LABEL        HIGH_DC_CURRENT
  9.002  RSLT         =
  9.003  HEAD         -2{5 A Range}
  9.004  TARGET       -p
  9.005  DISP         Connect the 5520A to the UUT as follows:
  9.005  DISP
  9.005  DISP         [32] 5520A   to    UUT
  9.005  DISP         [32] 20A --------> A
  9.005  DISP         [32] AUX LO -----> COM

# Set UUT to A DC, 5 A Range.
  9.006  MATH         @Cmd = "!T12,4"
  9.007  CALL         Sub Fluke 183,185 Send Command RS-232
  9.008  5502E        CurrentTerminal = 20A
  9.008  5502E        +Current = 4.600 A
  9.009  MATH         @Cmd = "!M?"
  9.010  TARGET       -m
  9.011  CALL         Sub Fluke 183,185 Query Measurement RS-232
  9.012  MEMCX  5     4.600A         0.4% 0.002U

 10.001  RSLT         =
 10.002  HEAD         -2{10 A Range}
 10.003  TARGET       -p
# Set UUT to A DC, 10 A Range.
 10.004  MATH         @Cmd = "!T12,5"
 10.005  CALL         Sub Fluke 183,185 Send Command RS-232
 10.006  5502E        CurrentTerminal = 20A
 10.006  5502E        +Current = 10.00 A
 10.007  MATH         @Cmd = "!M?"
 10.008  TARGET       -m
 10.009  CALL         Sub Fluke 183,185 Query Measurement RS-232
 10.010  MEMCX  10    10.00A         0.8% 0.02U

 11.001  HEAD         -2
 11.002  HEAD
 11.003  5502E        Reset
 11.004  END

 11.005  EVAL   Increment test number

# =====  Sub Tek TX1,TX3 (1 yr) Low ACI VER RS-232 /5502  ===================

 12.001  LABEL        LOW_AC_CURRENT
 12.002  RSLT         =
 12.003  HEAD         {AC CURRENT}
 12.004  RSLT         =
 12.005  HEAD         -2{500 µA Range}
 12.006  MATH         @SettlingSec = 2
 12.007  TARGET       -p
# Set UUT to A AC, 500 µA Range.
 12.008  MATH         @Cmd = "!T11,0"
 12.009  CALL         Sub Fluke 183,185 Send Command RS-232
 12.010  5502E        CurrentTerminal = Aux
 12.010  5502E        +Current = 0.0 uA
 12.011  MATH         @Cmd = "!M?"
 12.012  TARGET       -m
 12.013  CALL         Sub Fluke 183,185 Query Measurement RS-232
 12.014  MATH         MEM = MEM / 1E-6
 12.015  MEMCX  500   0.0uA          0.2U

 13.001  5502E        CurrentTerminal = Aux
 13.001  5502E        +Current = 460.0 uA; Frequency = 60 Hz
 13.002  TARGET       -m
 13.003  CALL         Sub Fluke 183,185 Query Measurement RS-232
 13.004  MATH         MEM = MEM / 1E-6
 13.005  MEMCX  500   460.0uA        0.6% 0.2U     60H

 14.001  5502E        CurrentTerminal = Aux
 14.001  5502E        +Current = 460.0 uA; Frequency = 5 kHz
 14.002  TARGET       -m
 14.003  CALL         Sub Fluke 183,185 Query Measurement RS-232
 14.004  MATH         MEM = MEM / 1E-6
 14.005  MEMCX  500   460.0uA        2% 0.2U       5kH

 15.001  RSLT         =
 15.002  HEAD         -2{5 mA Range}
 15.003  TARGET       -p
# Set UUT to A AC, 5 mA Range.
 15.004  MATH         @Cmd = "!T11,1"
 15.005  CALL         Sub Fluke 183,185 Send Command RS-232
 15.006  5502E        CurrentTerminal = Aux
 15.006  5502E        +Current = 4.600 mA; Frequency = 60 Hz
 15.007  MATH         @Cmd = "!M?"
 15.008  TARGET       -m
 15.009  CALL         Sub Fluke 183,185 Query Measurement RS-232
 15.010  MATH         MEM = MEM / 1E-3
 15.011  MEMCX  5     4.600mA        0.6% 0.002U   60H

 16.001  5502E        CurrentTerminal = Aux
 16.001  5502E        +Current = 4.600 mA; Frequency = 5 kHz
 16.002  TARGET       -m
 16.003  CALL         Sub Fluke 183,185 Query Measurement RS-232
 16.004  MATH         MEM = MEM / 1E-3
 16.005  MEMCX  5     4.600mA        2% 0.002U     5kH

 17.001  RSLT         =
 17.002  HEAD         -2{50 mA Range}
 17.003  TARGET       -p
# Set UUT to A AC, 50 mA Range.
 17.004  MATH         @Cmd = "!T11,2"
 17.005  CALL         Sub Fluke 183,185 Send Command RS-232
 17.006  5502E        CurrentTerminal = Aux
 17.006  5502E        +Current = 46.00 mA; Frequency = 60 Hz
 17.007  MATH         @Cmd = "!M?"
 17.008  TARGET       -m
 17.009  CALL         Sub Fluke 183,185 Query Measurement RS-232
 17.010  MATH         MEM = MEM / 1E-3
 17.011  MEMCX  50    46.00mA        0.6% 0.02U    60H

 18.001  5502E        CurrentTerminal = Aux
 18.001  5502E        +Current = 46.00 mA; Frequency = 5 kHz
 18.002  TARGET       -m
 18.003  CALL         Sub Fluke 183,185 Query Measurement RS-232
 18.004  MATH         MEM = MEM / 1E-3
 18.005  MEMCX  50    46.00mA        2% 0.02U      5kH

 19.001  RSLT         =
 19.002  HEAD         -2{500 mA Range}
 19.003  TARGET       -p
# Set UUT to A AC, 500 mA Range.
 19.004  MATH         @Cmd = "!T11,3"
 19.005  CALL         Sub Fluke 183,185 Send Command RS-232
 19.006  5502E        CurrentTerminal = Aux
 19.006  5502E        +Current = 460.0 mA; Frequency = 60 Hz
 19.007  MATH         @Cmd = "!M?"
 19.008  TARGET       -m
 19.009  CALL         Sub Fluke 183,185 Query Measurement RS-232
 19.010  MATH         MEM = MEM / 1E-3
 19.011  MEMCX  500   460.0mA        0.6% 0.2U     60H

 20.001  5502E        CurrentTerminal = Aux
 20.001  5502E        +Current = 460.0 mA; Frequency = 3 kHz
 20.002  TARGET       -m
 20.003  CALL         Sub Fluke 183,185 Query Measurement RS-232
 20.004  MATH         MEM = MEM / 1E-3
 20.005  MEMCX  500   460.0mA        1% 0.2U       3kH
#! WARNING: Test Tol 0.0048, Sys Tol 0.00376 A, TUR 1.2766 (< 4.00).

 21.001  5502E        CurrentTerminal = Aux
 21.001  5502E        +Current = 460.0 mA; Frequency = 5 kHz
 21.002  TARGET       -m
 21.003  CALL         Sub Fluke 183,185 Query Measurement RS-232
 21.004  MATH         MEM = MEM / 1E-3
 21.005  MEMCX  500   460.0mA        2% 0.2U       5kH
#! WARNING: Test Tol 0.0094, Sys Tol 0.00376 A, TUR 2.5000 (< 4.00).

 22.001  HEAD         -2
 22.002  HEAD
 22.003  5502E        Reset
 22.004  END

 22.005  EVAL   Increment test number

# =====  Sub TEk TX1,TX3 (1 yr) High ACI VER RS-232 /5502  ==================

 23.001  LABEL        HIGH_AC_CURRENT
 23.002  RSLT         =
 23.003  HEAD         -2{5 A Range}
 23.004  TARGET       -p
# Set UUT to A AC, 5 A Range.
 23.005  MATH         @Cmd = "!T11,4"
 23.006  CALL         Sub Fluke 183,185 Send Command RS-232
 23.007  5502E        CurrentTerminal = 20A
 23.007  5502E        +Current = 4.600 A; Frequency = 60 Hz
 23.008  MATH         @Cmd = "!M?"
 23.009  TARGET       -m
 23.010  CALL         Sub Fluke 183,185 Query Measurement RS-232
 23.011  MEMCX  5     4.600A         0.6% 0.002U   60H

# Performed at 1 kHz in lieu of 5 kHz due to TUR < 1 at 5 kHz.
 24.001  5502E        CurrentTerminal = 20A
 24.001  5502E        +Current = 4.600 A; Frequency = 1 kHz
 24.002  TARGET       -m
 24.003  CALL         Sub Fluke 183,185 Query Measurement RS-232
 24.004  MEMCX  5     4.600A         0.6% 0.002U   1kH

 25.001  RSLT         =  4.600 A @ 5 kHz: Not Tested

 25.002  RSLT         =
 25.003  HEAD         -2{10 A Range}
 25.004  TARGET       -p
# Set UUT to A AC, 10 A Range.
 25.005  MATH         @Cmd = "!T11,5"
 25.006  CALL         Sub Fluke 183,185 Send Command RS-232
 25.007  5502E        CurrentTerminal = 20A
 25.007  5502E        +Current = 10.00 A; Frequency = 60 Hz
 25.008  TARGET       -m
 25.009  MATH         @Cmd = "!M?"
 25.010  CALL         Sub Fluke 183,185 Query Measurement RS-232
 25.011  MEMCX  10    10.00A         0.6% 0.02U    60H

# Performed at 1 kHz in lieu of 5 kHz due to TUR < 1 at 5 kHz.
 26.001  5502E        CurrentTerminal = 20A
 26.001  5502E        +Current = 10.00 A; Frequency = 1 kHz
 26.002  TARGET       -m
 26.003  CALL         Sub Fluke 183,185 Query Measurement RS-232
 26.004  MEMCX  10    10.00A         0.6% 0.02U    1kH

 27.001  RSLT         =  10.00 A @ 5 kHz: Not Tested

 27.002  HEAD         -2
 27.003  HEAD
 27.004  5502E        Reset
 27.005  END
